## xfree86-driver-synaptics-0.14.6.tar.bz2

=== Makefile ===
VER_LEVEL_1=0
VER_LEVEL_2=14
VER_LEVEL_3=6
VERSION=$(VER_LEVEL_1).$(VER_LEVEL_2).$(VER_LEVEL_3)
VERSION_ID=($(VER_LEVEL_1)*10000+$(VER_LEVEL_2)*100+$(VER_LEVEL_3))

# Define the TOP variable to build using include files from a local source tree.
#TOP = /usr/src/redhat/BUILD/XFree86-4.3.0/xc

PREFIX ?= /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(PREFIX)/share/man

ifeq ($(ARCH),)
  ARCH = $(shell /bin/arch)
endif
ifeq ($(ARCH),amd64)
  ARCH = x86_64
endif
ifeq ($(ARCH),x86_64)
  ARCH_DEFINES = -D__x86_64__ -D_XSERVER64
else
  ARCH_DEFINES = -D__i386__
endif

LIBDIR = lib
BUILD_MODULAR ?= $(shell pkg-config xorg-server --exists && echo y)
ifeq ($(BUILD_MODULAR),y)
  # Xorg 7.0 uses /usr/lib/xorg/modules and builds stripped shared objects
  INSTALLED_X = /usr
  INPUT_MODULE_DIR = $(DESTDIR)/usr/lib/xorg/modules/input
  SYNAPTICS_DRV = synaptics_drv.so
  LDCOMBINEFLAGS = -shared -lc
  PICFLAG = $(call check_gcc,-fPIC,)
  X_INCLUDES_ROOT = $(INSTALLED_X)
  SDKDIR = ./Xincludes/usr/X11R6/lib/Server/include
  ALLINCLUDES = -I. -I$(INSTALLED_X)/include/X11 \
		-I$(INSTALLED_X)/include/X11/extensions \
		-I$(SDKDIR)
else
  INSTALLED_X = /usr/X11R6
  INPUT_MODULE_DIR = $(DESTDIR)/$(INSTALLED_X)/$(LIBDIR)/modules/input
  SYNAPTICS_DRV = synaptics_drv.o
  LDCOMBINEFLAGS = -r

  ifeq ($(TOP),)
    # This hack attempts to check if the needed XFree86 header files are installed.
    # It checks for a needed XFree86 4.3.00 SDK header file that is not installed by
    # default. If it is present, then it assumes that all header files are present.
    # If it is not present, then it assumes that all header files are not present
    # and uses the local copy of the XFree86 4.2.0 header files.
    X_INCLUDES_ROOT = $(shell \
      if [ -f $(INSTALLED_X)/$(LIBDIR)/Server/include/xisb.h ] ; then \
        echo -n $(INSTALLED_X) ; \
      else \
        echo -n Xincludes/usr/X11R6 ; \
      fi )
    ALLINCLUDES = -I. -I$(X_INCLUDES_ROOT)/include/X11 \
		  -I$(X_INCLUDES_ROOT)/include/X11/extensions \
		  -I$(X_INCLUDES_ROOT)/$(LIBDIR)/Server/include
  else
    SERVERSRC = $(TOP)/programs/Xserver
    ALLINCLUDES = -I. \
	-I$(SERVERSRC)/hw/xfree86/common \
	-I$(SERVERSRC)/hw/xfree86/os-support \
	-I$(SERVERSRC)/mi \
	-I$(SERVERSRC)/include \
	-I$(TOP)/include
    X_INCLUDES_ROOT = $(TOP)
  endif
endif

MODULE_DEFINES = -DIN_MODULE -DXFree86Module
PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

STD_DEFINES = -Dlinux -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -D_GNU_SOURCE  -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP -DXCSECURITY -DTOGCUP   -DDPMSExtension  -DPIXPRIV -DPANORAMIX  -DRENDER -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH -DXFreeXDGA -DXvExtension -DXFree86LOADER  -DXFree86Server -DXF86VIDMODE  -DSMART_SCHEDULE -DBUILDDEBUG -DX_BYTE_ORDER=X_LITTLE_ENDIAN -DNDEBUG $(ARCH_DEFINES)
ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(MODULE_DEFINES)

check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

CCOPTIONS := -pedantic -Wall -Wpointer-arith
CCOPTIONS += $(call check_gcc,-fno-merge-constants,)
CDEBUGFLAGS = -O2
CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(PICFLAG) $(ALLDEFINES) -DVERSION="\"$(VERSION)\"" -DVERSION_ID="$(VERSION_ID)"
CFLAGSCLIENT = $(CDEBUGFLAGS) $(CCOPTIONS) -DVERSION="\"$(VERSION)\""  -DVERSION_ID="$(VERSION_ID)" -I$(X_INCLUDES_ROOT)/include

CC = gcc

SRCS = synaptics.c ps2comm.c eventcomm.c psmcomm.c alpscomm.c
OBJS = synaptics.o ps2comm.o eventcomm.o psmcomm.o alpscomm.o

.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $(_NOOP_) $*.c

all:: $(SYNAPTICS_DRV) synclient syndaemon

install: $(BINDIR)/synclient $(BINDIR)/syndaemon $(INPUT_MODULE_DIR)/$(SYNAPTICS_DRV) install-man

install-man: $(MANDIR)/man1/synclient.1 $(MANDIR)/man1/syndaemon.1 $(MANDIR)/man5/synaptics.5

$(MANDIR)/man1/synclient.1: manpages/synclient.1
	install --mode=0644 -D $< $@

$(MANDIR)/man1/syndaemon.1: manpages/syndaemon.1
	install --mode=0644 -D $< $@

$(MANDIR)/man5/synaptics.5: manpages/synaptics.5
	install --mode=0644 -D $< $@

$(BINDIR)/synclient : synclient
	install -D $< $@

$(BINDIR)/syndaemon : syndaemon
	install -D $< $@

$(INPUT_MODULE_DIR)/$(SYNAPTICS_DRV) : $(SYNAPTICS_DRV)
	install --mode=0644 -D $< $@

$(SYNAPTICS_DRV): $(OBJS)
	$(RM) $@
	$(LD) $(LDCOMBINEFLAGS)  $(OBJS) -o $@

synclient.o	: synclient.c
	$(CC) $(CFLAGSCLIENT) -c -o $@ $<

synclient	: synclient.o
	$(CC) -o $@ $< -lm

syndaemon.o	: syndaemon.c
	$(CC) $(CFLAGSCLIENT) -c -o $@ $<

syndaemon	: syndaemon.o
	$(CC) -o $@ $< -lm -L$(INSTALLED_X)/$(LIBDIR) -lXext -lX11

synaptics.o : synaptics.h synproto.h Makefile
ps2comm.o   : ps2comm.h synproto.h synaptics.h
eventcomm.o : eventcomm.h linux_input.h synproto.h synaptics.h
psmcomm.o   : freebsd_mouse.h psmcomm.h synproto.h synaptics.h ps2comm.h
alpscomm.o  : alpscomm.h ps2comm.h synproto.h synaptics.h
synclient.o : synaptics.h Makefile
syndaemon.o : synaptics.h

clean::
	$(RM) *.CKP *.ln *.BAK *.bak *.o *.so core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut synclient syndaemon "#"* manpages/*~ synaptics-$(VERSION).tar.bz2

tags::
	etags -o TAGS *.c *.h

uninstall::
	$(RM) $(BINDIR)/synclient $(BINDIR)/syndaemon $(INPUT_MODULE_DIR)/$(SYNAPTICS_DRV) $(MANDIR)/man1/synclient.1 $(MANDIR)/man1/syndaemon.1 $(MANDIR)/man5/synaptics.5

distribution : synaptics-$(VERSION).tar.bz2

ALLFILES = COMPATIBILITY FILES INSTALL INSTALL.DE INSTALL.FR LICENSE Makefile \
	NEWS README README.alps TODO Xincludes/ alps.patch linux_input.h \
	pc_keyb.c.diff.2.4.3 trouble-shooting.txt \
	synproto.h ps2comm.c ps2comm.h eventcomm.c eventcomm.h alpscomm.c alpscomm.h \
	psmcomm.c psmcomm.h freebsd_mouse.h \
	synaptics.c synaptics.h synaptics.spec \
	synclient.c syndaemon.c

DST=synaptics-$(VERSION)

synaptics-$(VERSION).tar.bz2 : FORCE
	rm -f $(DST).tar.bz2
	rm -rf $(DST)
	mkdir $(DST) $(DST)/manpages $(DST)/script $(DST)/test $(DST)/docs
	cp -a $(ALLFILES) $(DST)
	cp -a manpages/{synclient.1,syndaemon.1,synaptics.5} $(DST)/manpages/
	cp -a script/{usbmouse,usbhid} $(DST)/script/
	cp -a test/{test-pad.c,testprotocol.c} $(DST)/test/
	cp -a docs/tapndrag.dia $(DST)/docs/
	chmod u+w $(DST)/*
	tar cf $(DST).tar $(DST)
	rm -rf $(DST)
	bzip2 $(DST).tar

.PHONY: FORCE

=== debian/changelog ===
xfree86-driver-synaptics (0.14.6-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 16 Jul 2006 16:41:01 +0200

xfree86-driver-synaptics (0.14.5-1) unstable; urgency=low

  * New upstream release.
  * Motion with pressure sensitivity merged upstream. (Closes: #337350)
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 04 Jun 2006 19:45:35 +0200

xfree86-driver-synaptics (0.14.4-5) unstable; urgency=low

  * Added m68k to the Achitecture: field.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 30 Apr 2006 20:17:23 +0200
 

xfree86-driver-synaptics (0.14.4-4) unstable; urgency=low

  * Upload to unstable (Closes: #362108)
  * Added xorg-driver-synaptics to the Provides, Conflicts,
    Replaces list to ease Ubuntu mixed migrations (et al.)
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 27 Mar 2006 18:16:48 +0200
 

xfree86-driver-synaptics (0.14.4-3) experimental; urgency=low
  
  * building the driver as a shared object, this fixes a lintian warning
    and better fits in the modular xorg structure.
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 22 Mar 2006 22:33:39 +0100
 

xfree86-driver-synaptics (0.14.4-2) experimental; urgency=low
  
  * New binary package name to follow modular xorg naming.
  * Now suggesting the driver's graphical configuration tools.
  * README.Debian: removed note about the 2.6.8 patch I removed recently.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 19 Mar 2006 17:01:09 +0100
 

xfree86-driver-synaptics (0.14.4-1) unstable; urgency=low
  
  * New upstream version.
  * Upstream added an -K command line option to syndaemon to ignore
    Modifier+AnyKey combos (closes: #335888).
  * Removed the rediffed patch against Debian's 2.6.8 kernel.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 07 Nov 2005 22:54:40 +0100
 

xfree86-driver-synaptics (0.14.3-1) unstable; urgency=low
  
  * New upstream version.
  * Updated README.Debian to reflect newer X.Org dependencies.
 
 -- Mattia Dongili <malattia@debian.org>  Fri, 22 Jul 2005 21:17:37 +0200
 

xfree86-driver-synaptics (0.14.2-2) unstable; urgency=low
  
  * Can now install together with xorg (closes: #318118).
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 29 Jun 2005 12:00:00 +0200
 

xfree86-driver-synaptics (0.14.2-1) unstable; urgency=low
  
  * New upstream release.
  * Added notes to README.Debian to run syndaemon from .xinitrc 
    (closes: #296485)
 
 -- Mattia Dongili <malattia@debian.org>  Wed, 18 May 2005 00:24:14 +0200
 

xfree86-driver-synaptics (0.14.1-1) unstable; urgency=low
  
  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 15 Mar 2005 22:33:25 +0100
 

xfree86-driver-synaptics (0.14.0-1) unstable; urgency=low

  * New upstream release:
    - now correcly removes the shared memory segment when exiting X 
      (closes: #263382).

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Mon, 10 Jan 2005 21:14:44 +0100

xfree86-driver-synaptics (0.13.6-2) unstable; urgency=low

  * Install in /usr/X11R6/lib as all the xfree drivers on 64 bit archs.  (closes: #280658)
  * Provided an alternative patch for debian-kernel users. (closes: #282359)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 18 Dec 2004 20:07:15 +0100

xfree86-driver-synaptics (0.13.6-1) unstable; urgency=low
  
  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 24 Oct 2004 22:14:32 +0200

xfree86-driver-synaptics (0.13.5-2) unstable; urgency=low
  
  * Re-fixed synaptics_drv.o mode to 0644 (why did it reappear?).
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 19 Aug 2004 16:09:56 +0200

xfree86-driver-synaptics (0.13.5-1) unstable; urgency=low
  
  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 08 Aug 2004 12:41:38 +0200

xfree86-driver-synaptics (0.13.4-1) unstable; urgency=low

  * New upstream.
 
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 27 Jul 2004 22:44:16 +0200

xfree86-driver-synaptics (0.13.3-1) unstable; urgency=low

  * New upstream.
  * Fixed synaptics_drv.o mode to 0644.

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 20 Jun 2004 15:59:25 +0200

xfree86-driver-synaptics (0.13.2-1) unstable; urgency=low

  * New upstream.
  * Fixed middle mouse button emulation. (closes: #247219)
  * Fixed detection of ALPS touchpads when using a 2.6 linux kernel. (closes: #245682)
  * Made double clicks faster. (closes: #248826)
  * Uploaded with the correct upstream changelog. (closes: #248811)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 11 May 2004 09:59:15 +0200
 

xfree86-driver-synaptics (0.13.0-1) unstable; urgency=low

  * New upstream.

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 27 Apr 2004 17:07:26 +0200
 

xfree86-driver-synaptics (0.12.5-1) unstable; urgency=low

  * New upstream. (closes: #239329)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 20 Mar 2004 12:58:37 +0100
 

xfree86-driver-synaptics (0.12.4-1) unstable; urgency=low

  * Initial Release. (closes: #219163, #231763)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue,  2 Mar 2004 11:42:05 +0100

=== debian/control ===
Source: xfree86-driver-synaptics
Section: x11
Priority: optional
Maintainer: Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>= 4.0.0), libx11-dev, libxext-dev, libxi-dev, x11proto-core-dev
Standards-Version: 3.7.2

Package: xfree86-driver-synaptics
Architecture: alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: xserver-xorg-input-synaptics (>= 0.14.4-2)
Description: dummy package to upgrade to X.Org new modular packages
 This is a dummy package provided to smooth upgrades from 
 xfree86-driver-synaptics to xserver-xorg-input-synaptics.
 It can be safely removed once xserver-xorg-input-synaptics is installed.

Package: xserver-xorg-input-synaptics
Architecture: alpha amd64 arm hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: ${shlibs:Depends}, libxi6, xserver-xorg-core (>= 1.0.0)
Conflicts: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Replaces: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Provides: xfree86-driver-synaptics, xorg-driver-synaptics
Suggests: gsynaptics | ksynaptics | qsynaptics
Description: Synaptics TouchPad driver for X.Org/XFree86 server
 This package provides an input driver for the X.Org/XFree86 X server to enable
 advanced features of the Synaptics Touchpad including:
 .
  * Movement with adjustable, non-linear acceleration and speed
  * Button events through short touching of the touchpad
  * Double-Button events through double short touching of the touchpad
  * Dragging through short touching and holding down the finger on the touchpad
  * Middle and right button events on the upper and lower corner of the touchpad
  * Vertical scrolling (button four and five events) through moving the finger 
    on the right side of the touchpad
  * The up/down button sends button four/five events
  * Horizontal scrolling (button six and seven events) through moving the finger 
    on the lower side of the touchpad
  * The multi-buttons send button four/five events, and six/seven events for 
    horizontal scrolling
  * Adjustable finger detection
  * Multifinger taps: two finger for middle button and three finger for right 
    button events. (Needs hardware support. Not all models implement this 
    feature.)
  * Run-time configuration using shared memory. This means you can change 
    parameter settings without restarting the X server (see synclient(1)).
  * It also provides a daemon to disable touchpad while typing at the keyboard 
    and thus avoid unwanted mouse movements (see syndaemon(1)).
 .
 Homepage: http://web.telia.com/~u89404340/touchpad/index.html

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 2004 by Mattia Dongili.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# the package: nothing to do

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# compile the package: detect architecture and launch make
	$(MAKE) BUILD_MODULAR=y PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# clean up:
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# install the package into debian/xserver-xorg-input-synaptics
	$(MAKE) install BUILD_MODULAR=y PREFIX=/usr DESTDIR=$(CURDIR)/debian/xserver-xorg-input-synaptics


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
